<?php

// API routes  for test_module
Route::prefix('{guard}/offerte')->group(function () {
    Route::get('test_module/form/{element}', 'TestModuleAPIController@form');
    Route::resource('test_module', 'TestModuleAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for offertes
            Route::prefix('{guard}/offerte')->group(function () {
                Route::get('test_module/form/{element}', 'TestModuleAPIController@form');
                Route::apiResource('test_module', 'TestModuleAPIController');
            });
            // Public routes for offertes
            Route::get('offerte/TestModule', 'TestModulePublicController@getTestModule');
        }
    );
}


// API routes  for resume
Route::prefix('{guard}/offerte')->group(function () {
    Route::get('resume/form/{element}', 'ResumeAPIController@form');
    Route::resource('resume', 'ResumeAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for offertes
            Route::prefix('{guard}/offerte')->group(function () {
                Route::get('resume/form/{element}', 'ResumeAPIController@form');
                Route::apiResource('resume', 'ResumeAPIController');
            });
            // Public routes for offertes
            Route::get('offerte/Resume', 'ResumePublicController@getResume');
        }
    );
}

