<?php

namespace Offerte\Offerte\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TestModuleTransformer extends TransformerAbstract
{
    public function transform(\Offerte\Offerte\Models\TestModule $test_module)
    {
        return [
            'id'                => $test_module->getRouteKey(),
            'key'               => [
                'public'    => $test_module->getPublicKey(),
                'route'     => $test_module->getRouteKey(),
            ], 
            'Name tabel'        => $test_module->Name tabel,
            ''                  => $test_module->,
            'url'               => [
                'public'    => trans_url('offerte/'.$test_module->getPublicKey()),
                'user'      => guard_url('offerte/test_module/'.$test_module->getRouteKey()),
            ], 
            'status'            => trans('app.'.$test_module->status),
            'created_at'        => format_date($test_module->created_at),
            'updated_at'        => format_date($test_module->updated_at),
        ];
    }
}