<?php

namespace Offerte\Offerte;

use DB;
use Illuminate\Database\Seeder;

class TestModuleTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('test_modules')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'offerte.test_module.view',
                'name'      => 'View TestModule',
            ],
            [
                'slug'      => 'offerte.test_module.create',
                'name'      => 'Create TestModule',
            ],
            [
                'slug'      => 'offerte.test_module.edit',
                'name'      => 'Update TestModule',
            ],
            [
                'slug'      => 'offerte.test_module.delete',
                'name'      => 'Delete TestModule',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/offerte/test_module',
                'name'        => 'TestModule',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/offerte/test_module',
                'name'        => 'TestModule',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'test_module',
                'name'        => 'TestModule',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Offerte',
                'module'    => 'TestModule',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'offerte.test_module.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
