Lavalite package that provides offerte management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `offerte/offerte`.

    "offerte/offerte": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Offerte\Offerte\Providers\OfferteServiceProvider::class,

And also add it to alias

    'Offerte'  => Offerte\Offerte\Facades\Offerte::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Offerte\\OfferteTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Offerte\Offerte\Providers\OfferteServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Offerte\Offerte\Providers\OfferteServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Offerte\Offerte\Providers\OfferteServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/offerte/{modulename}

**User**

    http://path-to-route-folder/user/offerte/{modulename}

**Public**

    http://path-to-route-folder/offertes


### API endpoints

**List**

    http://path-to-route-folder/api/user/offerte/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/offerte/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/offerte/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/offerte/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/offerte/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/offerte/{modulename}/{slug}
    METHOD: GET